// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AddinAuthoring {
    
    
    public partial class AddinFeatureWidget {
        
        private Gtk.VBox vbox2;
        
        private Gtk.HBox boxRepo;
        
        private Gtk.Label label3;
        
        private MonoDevelop.AddinAuthoring.RegistrySelector regSelector;
        
        private Gtk.CheckButton checkRoot;
        
        private Gtk.Label labelAddinInfo;
        
        private Gtk.Table tableNames;
        
        private Gtk.ComboBoxEntry comboNs;
        
        private Gtk.Entry entryId;
        
        private Gtk.Entry entryName;
        
        private Gtk.Label label10;
        
        private Gtk.Label label7;
        
        private Gtk.Label label9;
        
        private Gtk.Label labelName;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AddinAuthoring.AddinFeatureWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.AddinAuthoring.AddinFeatureWidget";
            // Container child MonoDevelop.AddinAuthoring.AddinFeatureWidget.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.boxRepo = new Gtk.HBox();
            this.boxRepo.Name = "boxRepo";
            this.boxRepo.Spacing = 6;
            // Container child boxRepo.Gtk.Box+BoxChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.Xalign = 0F;
            this.label3.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Add-in repository:");
            this.boxRepo.Add(this.label3);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.boxRepo[this.label3]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child boxRepo.Gtk.Box+BoxChild
            this.regSelector = new MonoDevelop.AddinAuthoring.RegistrySelector();
            this.regSelector.Events = ((Gdk.EventMask)(256));
            this.regSelector.Name = "regSelector";
            this.boxRepo.Add(this.regSelector);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.boxRepo[this.regSelector]));
            w2.Position = 1;
            this.vbox2.Add(this.boxRepo);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbox2[this.boxRepo]));
            w3.Position = 0;
            w3.Expand = false;
            w3.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.checkRoot = new Gtk.CheckButton();
            this.checkRoot.CanFocus = true;
            this.checkRoot.Name = "checkRoot";
            this.checkRoot.Label = Mono.Addins.AddinManager.CurrentLocalizer.GetString("This project is an add-in root");
            this.checkRoot.DrawIndicator = true;
            this.checkRoot.UseUnderline = true;
            this.vbox2.Add(this.checkRoot);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox2[this.checkRoot]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.labelAddinInfo = new Gtk.Label();
            this.labelAddinInfo.Name = "labelAddinInfo";
            this.labelAddinInfo.Xalign = 0F;
            this.labelAddinInfo.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Add-in information:");
            this.vbox2.Add(this.labelAddinInfo);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox2[this.labelAddinInfo]));
            w5.Position = 2;
            w5.Expand = false;
            w5.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.tableNames = new Gtk.Table(((uint)(3)), ((uint)(3)), false);
            this.tableNames.Name = "tableNames";
            this.tableNames.RowSpacing = ((uint)(6));
            this.tableNames.ColumnSpacing = ((uint)(6));
            // Container child tableNames.Gtk.Table+TableChild
            this.comboNs = Gtk.ComboBoxEntry.NewText();
            this.comboNs.Name = "comboNs";
            this.tableNames.Add(this.comboNs);
            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.tableNames[this.comboNs]));
            w6.TopAttach = ((uint)(1));
            w6.BottomAttach = ((uint)(2));
            w6.LeftAttach = ((uint)(2));
            w6.RightAttach = ((uint)(3));
            w6.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableNames.Gtk.Table+TableChild
            this.entryId = new Gtk.Entry();
            this.entryId.CanFocus = true;
            this.entryId.Name = "entryId";
            this.entryId.IsEditable = true;
            this.entryId.InvisibleChar = '●';
            this.tableNames.Add(this.entryId);
            Gtk.Table.TableChild w7 = ((Gtk.Table.TableChild)(this.tableNames[this.entryId]));
            w7.TopAttach = ((uint)(2));
            w7.BottomAttach = ((uint)(3));
            w7.LeftAttach = ((uint)(2));
            w7.RightAttach = ((uint)(3));
            w7.XOptions = ((Gtk.AttachOptions)(4));
            w7.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableNames.Gtk.Table+TableChild
            this.entryName = new Gtk.Entry();
            this.entryName.CanFocus = true;
            this.entryName.Name = "entryName";
            this.entryName.IsEditable = true;
            this.entryName.InvisibleChar = '●';
            this.tableNames.Add(this.entryName);
            Gtk.Table.TableChild w8 = ((Gtk.Table.TableChild)(this.tableNames[this.entryName]));
            w8.LeftAttach = ((uint)(2));
            w8.RightAttach = ((uint)(3));
            w8.XOptions = ((Gtk.AttachOptions)(4));
            w8.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableNames.Gtk.Table+TableChild
            this.label10 = new Gtk.Label();
            this.label10.WidthRequest = 24;
            this.label10.Name = "label10";
            this.label10.LabelProp = "";
            this.tableNames.Add(this.label10);
            Gtk.Table.TableChild w9 = ((Gtk.Table.TableChild)(this.tableNames[this.label10]));
            w9.XOptions = ((Gtk.AttachOptions)(4));
            w9.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableNames.Gtk.Table+TableChild
            this.label7 = new Gtk.Label();
            this.label7.Name = "label7";
            this.label7.Xalign = 0F;
            this.label7.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Namespace:");
            this.tableNames.Add(this.label7);
            Gtk.Table.TableChild w10 = ((Gtk.Table.TableChild)(this.tableNames[this.label7]));
            w10.TopAttach = ((uint)(1));
            w10.BottomAttach = ((uint)(2));
            w10.LeftAttach = ((uint)(1));
            w10.RightAttach = ((uint)(2));
            w10.XOptions = ((Gtk.AttachOptions)(4));
            w10.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableNames.Gtk.Table+TableChild
            this.label9 = new Gtk.Label();
            this.label9.Name = "label9";
            this.label9.Xalign = 0F;
            this.label9.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Identifier:");
            this.tableNames.Add(this.label9);
            Gtk.Table.TableChild w11 = ((Gtk.Table.TableChild)(this.tableNames[this.label9]));
            w11.TopAttach = ((uint)(2));
            w11.BottomAttach = ((uint)(3));
            w11.LeftAttach = ((uint)(1));
            w11.RightAttach = ((uint)(2));
            w11.XOptions = ((Gtk.AttachOptions)(4));
            w11.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableNames.Gtk.Table+TableChild
            this.labelName = new Gtk.Label();
            this.labelName.Name = "labelName";
            this.labelName.Xalign = 0F;
            this.labelName.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Display name:");
            this.tableNames.Add(this.labelName);
            Gtk.Table.TableChild w12 = ((Gtk.Table.TableChild)(this.tableNames[this.labelName]));
            w12.LeftAttach = ((uint)(1));
            w12.RightAttach = ((uint)(2));
            w12.XOptions = ((Gtk.AttachOptions)(4));
            w12.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox2.Add(this.tableNames);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.vbox2[this.tableNames]));
            w13.Position = 3;
            w13.Expand = false;
            w13.Fill = false;
            this.Add(this.vbox2);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.regSelector.Changed += new System.EventHandler(this.OnRegSelectorChanged);
            this.entryName.Changed += new System.EventHandler(this.OnEntryNameChanged);
            this.entryId.Changed += new System.EventHandler(this.OnEntryIdChanged);
            this.comboNs.Changed += new System.EventHandler(this.OnComboNsChanged);
        }
    }
}
